package com.ruoyi.warehouseBusiness.service;


import com.ruoyi.warehouseBusiness.domain.TAnnex;

import java.util.List;

/**
 * 业务附件Service接口
 *
 * @author ruoyi
 * @date 2021-11-19
 */
public interface ITAnnexService {
    /**
     * 查询业务附件
     *
     * @param fId 业务附件ID
     * @return 业务附件
     */
    public TAnnex selectTAnnexById(Long fId);

    /**
     * 查询业务附件列表
     *
     * @param tAnnex 业务附件
     * @return 业务附件集合
     */
    public List<TAnnex> selectTAnnexList(TAnnex tAnnex);

    /**
     * 新增业务附件
     *
     * @param tAnnex 业务附件
     * @return 结果
     */
    public int insertTAnnex(TAnnex tAnnex);

    /**
     * 修改业务附件
     *
     * @param tAnnex 业务附件
     * @return 结果
     */
    public int updateTAnnex(TAnnex tAnnex);

    /**
     * 批量删除业务附件
     *
     * @param fIds 需要删除的业务附件ID
     * @return 结果
     */
    public int deleteTAnnexByIds(Long[] fIds);

    /**
     * 删除业务附件信息
     *
     * @param fId 业务附件ID
     * @return 结果
     */
    public int deleteTAnnexById(Long fId);
}
